Subject: Re: bug#17797: 24.3; Include ert-buffer.el in Emacs

From: Stefan Kangas <[email-masked]>
Date: Sun, 6 Dec 2020 03:19:51 -0600

tags 17797 wontfix
close 17797
thanks

Stefan Kangas <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>>> The library 'ert-buffer.el', which does not seem to have a repository
>>> nor to be included in any package repo, but can easily be found via a
>>> web-search, offers some fundamental extensions to ERT functionality in
>>> Emacs core and should thus be included in core.
>>
>> I don't have a strong opinion either way because I don't know this area
>> well enough to judge how useful this can be.  So whoever thinks this is
>> a good or a bad idea, please chime in,
>
> This seems to be:
>
> https://docutils.sourceforge.io/tools/editors/emacs/tests/ert-buffer.el
>
> I'm not sure that this is useful for general use.  It has some
> interesting ideas, but I'm not a big fan of the forms you seem to end up
> with:
>
> ;;   (should (ert-equal-buffer '(insert "foo")
> ;;                             ; Insertion of "foo"...
> ;;   			       (concat ert-Buf-point-char ert-Buf-mark-char)
> ;;                             ; ...into an empty buffer with point and mark...
> ;;   			       (concat ert-Buf-mark-char "foo"
> ;;   				       ert-Buf-point-char)))
> ;;                             ; ...should result in a buffer containing "foo"
> ;;                             ; with point and mark moved appropriately.

No further comments within 6 weeks, so I'm closing this as wontfix.